#ifndef OPENGL_CONTEXT_HPP
#define OPENGL_CONTEXT_HPP

#include "open_engine/renderer/graphics_context.hpp"

struct GLFWwindow;

namespace OpenEngine {
    class OpenGLContext : public GraphicsContext
    {
        public:
            OpenGLContext(GLFWwindow* window_handle);

            virtual void Init() override;
            virtual void SwapBuffers() override;

        private:
            GLFWwindow* window_handle;
    };
}

#endif // OPENGL_CONTEXT_HPP
